import { jsx } from "react/jsx-runtime";
import { Spinner as Spinner$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Spinner = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Spinner", ...props, children: /* @__PURE__ */ jsx(Spinner$1, { weight: variant }) });
  }
);
Spinner.displayName = "Spinner";
Object.assign(Spinner, { isGdsIcon: true });
export {
  Spinner
};
